Check out the LimeSurvey source code on GitHub!

Interface en anglais suite à une migration serveur

More
3 years 1 month ago #101923 by olimeunier
Bonjour,

Suite à une migration de serveur, mon installation de Lime est en anglais (interface d'admin et questionnaires, même si je me connecte à l'admin en choisissant le français. Tout est en place dans la config, sur l'ancien serveur tout était bien en français.

Avez-vous une suggestion ? Y a-t-il une variable d'environnement serveur à modifier ?

Merci de votre aide.

Please Log in to join the conversation.

More
3 years 1 month ago #101930 by Nickko
Ce n'est pas tant lié à l'installation de LS qu'a ton profil utilisateur, va modifier tes préférences et choisi le français comme langue. Ça devrait résoudre ton problème.

Nickko

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

More
3 years 1 month ago #101939 by olimeunier
Merci pour votre réponse.

Dans les préférences de mon profil utuilisateur, j'ai bien le français de sélectionné en langue d'interface. J'ai également mis le fr en langue par défaut dans le fichier de conf.

J'ai vraiment l'impression qu'il n'arrive plus à lire les fichiers de langue, il ne traduit pas du tout les textes. J'ai essayé de renommer le fichier de langue "en" en "fr" par exemples, cela ne change rien.

Please Log in to join the conversation.

More
3 years 1 month ago #101942 by Nickko
Tu peux tenter une réinstallation peut-être est-ce qu'un fichier est mal passé pendant le transfert.
Vérifie bien aussi quand tu te connecte que tu choisis la bonne langue. Si tu choisis explicitement une autre langue lors de la connexion, elle surcharge la langue de tes préférences.

Nickko
Ergonome / Usability expert

Please Log in to join the conversation.

More
3 years 1 month ago #101962 by olimeunier
Apparemment la version de Lime Survey (1.85) est trop ancienne par rapport à la config du serveur, d'autres problèmes ont été détectés.

Je vais installer la dernière version 2.0.

Si j'exporte mes questionnaires de la version 1.85 en csv, pourrai-je les ré-importer ensuite dans la version 2 ?

Merci beaucoup de votre aide.

Please Log in to join the conversation.

More
3 years 1 month ago #101963 by Nickko
Je serais de toi, je ferais l'inverse : 1. upgrade, 2. import / export.

Nickko
Ergonome / Usability expert
The following user(s) said Thank You: olimeunier

Please Log in to join the conversation.

More
3 years 1 month ago #101967 by DenisChenu
Salut,

Je ne ferais pas un upgrade de la 1.85 vers la 2.00 ...

Je ferais:
- Backup complet (BDD+fichiers)
- Upgrade manuel vers la 1.90
- Upgrade manuel vers la 1.92
- Upgrade manuel vers la 2.00

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
The following user(s) said Thank You: olimeunier

Please Log in to join the conversation.

More
3 years 1 month ago #102009 by riqcles
Exactement comme dis Denis (vu que j'ai la même configuration 1.85 vers 2.00).
Sachant que :
en 1.85 -> export en csv seul.
Version 1.90 et plus -> export en lss.

Sachant que :
en 1.85, on pouvait mettre dans les codes de questions des caractères "exotique" :evil: (ex: l'équipe).
qui lors d'un import en version supérieur plante l'import : beau message d'erreur sql).

Tu peux installer les differentes version de limesurvey pour faire des tests d'importation de tes questionnaire.

Une fois réalisé, n'oublie pas de dérouler les questionnaires pour voir si les conditionnements fonctionnent encore ! :ohmy:

Bon, j'y retourne, je dois avoir au moins 500 questionnaire à analyser (actif, toujours utilisé, en cours d'utilisation et j'en passe :woohoo: )

bon courage

LimeSurvey version 2.05 build 141020 / 2.00 + build 131107 / 1.85+ (hors service ! yes ! )
OS : CentOS 6.5 / PHP 5.4.33/ 5.3.13
BDD : PostGresql 9.3.4 / 9.3.1 / 8.4.11
The following user(s) said Thank You: olimeunier

Please Log in to join the conversation.

More
3 years 1 month ago - 3 years 1 month ago #102025 by olimeunier
Bonjour à tous,

Merci pour votre aide.

J'ai installé la version 2 de Lime et créé un nouveau questionnaire.

En le testant en tant qu'utilisateur, en choisissant de l'enregistrer pour le terminer plus tard, et après avoir rempli le questionnaire avec mon nom, un mot de passe et mon adresse email, j'ai cette erreur :

"The active record cannot be inserted ti database because it is not new."

Une idée ? :(
Attachments:
Last Edit: 3 years 1 month ago by olimeunier.

Please Log in to join the conversation.

More
3 years 1 month ago #102138 by DenisChenu

riqcles wrote: Sachant que :
en 1.85, on pouvait mettre dans les codes de questions des caractères "exotique" :evil: (ex: l'équipe).
qui lors d'un import en version supérieur plante l'import : beau message d'erreur sql).

Sur la 2.0 ? On ne devrait as renvoyer un message d'erreur SQL: à reporter. (On devrait importer et retourner la liste des problèmes)

Denis

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).

Please Log in to join the conversation.

Moderators: Nickko
Imprint                   Privacy policy         General Terms & Conditions         Revocation information and revocation form